* {
    margin: 0;
    padding: 0;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

body {
    background-image: url(../img/bg.jpg);
    background-size: 100%;
    background-repeat: no-repeat;
}

header {
    width: 100%;
    height: 54px;
    background-color: rgba(0, 0, 0, 0.4);
}

i {
    font-size: 18px;
}

input {
    width: 284px;
    height: 44px;
    border: 1px solid #eaeaea;
    padding-left: 18px;
    padding-right: 18px;
    border-radius: 3px;
    margin-top: 17px;
    font-size: 14px;
    color: #434343;
    
}

input:focus {
    -webkit-box-shadow: 0px 3px 8px 0px rgba(0,0,0,0.2);
    -moz-box-shadow: 0px 3px 8px 0px rgba(0,0,0,0.2);
    box-shadow: 0px 3px 8px 0px rgba(0,0,0,0.2);
    outline: none;
    transition: all ease-in-out .2s;
    -webkit-transition: all ease-in-out .2s;
    -o-transition: all ease-in-out .2s;
}

input::placeholder {
    color: #bebebe;
}

button {
    color: #fff;
    font-size: 16px;
    background-color: #3cb878;
    border-radius: 3px;
    border: 0px;
    width: 322px;
    height: 46px;
    margin-top: 24px;
}

button:hover {
    background-color: #329a65;
}

.header_wrapper {
    width: 1210px;
    margin: 0 auto;
}

.logo {
    font-size: 20px;
    font-weight: bold;
    text-transform: uppercase;
    line-height: 54px;
    display: inline-block;
    color: #fff;
    text-decoration: none;
}

.logo_link {
    text-decoration: none;
    color: #fff;
}

.logo_link:hover {
    color: #3cb878;
}

.header_right_wrapper {
    color: #fff;
    line-height: 54px;
    float: right;
}

.vertical_border {
    width: 1px;
    height: 19px;
    background-color: rgba(255, 255, 255, 0.3);
    float: right;
    margin-top: 17px;
    margin-left: 25px;
    margin-right: 25px;
}


.vertical_border_light {
    width: 1px;
    height: 19px;
    background-color: rgba(59, 41, 41, 0.3);
    display: inline-block;
    line-height: 54px;
    margin-left: -7px;
    margin-right: 18px;
   margin-bottom: -4px;

}

a.calendar {
    background-image: url(../img/icons_sprites.png);
    background-repeat: no-repeat;
    height: 54px;
    width: 28px;
    float: right;
    margin-right: 28px;
    transition: all 0.2s ease-out;
    background-position: 0px top;
}

a.calendar:hover {
    background-position: 0 -55px;
}
    
a.forum {
    background-image: url(../img/icons_sprites.png);
    background-repeat: no-repeat;
    height: 54px;
    width: 28px;
    float: right;
    margin-right: 28px;
    transition: all 0.2s ease-out;
    background-position: 0 -107px;
}

a.forum:hover {
    background-position: 0 -162px;
}

a.journey {
    background-image: url(../img/icons_sprites.png);
    background-repeat: no-repeat;
    height: 54px;
    width: 28px;
    float: right;
    margin-right: 28px;
    transition: all 0.2s ease-out;
    background-position: 0 -215px;
}

a.journey:hover {
    background-position: 0 -270px;
}

.login {
    color: #3cb878;
    text-decoration: none;
}

.signup {
    color: #3cb878;
    text-decoration: none;
}

.login:hover, .signup:hover {
    text-decoration: underline;
}

.main_wrapper {
    display: grid;
    height: 100%;
}

.form_container {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: 54px;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 444px;
    height: 583px;
    padding-bottom: 26px;
    background-color: #fff;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    justify-self: center;
    align-self: center;
    -webkit-box-shadow: 0px 4px 18px 0px rgba(0,0,0,0.75);
    -moz-box-shadow: 0px 4px 18px 0px rgba(0,0,0,0.75);
    box-shadow: 0px 4px 18px 0px rgba(0,0,0,0.75);
}

form {
    width: 322px; 
}
.input_container {
    width: 322px; 
    margin-left: 43px;
    float: left;
}

.legend {
    font-size: 20px;
    line-height: 20px;
    float: left;
    margin-top: 29px;
}

.login_link {
    color: #3cb878;
    float: right;
    font-size: 14px;
    text-align: bottom;
    line-height: 20px;
    margin-top:29px;
    text-decoration: none;
}

.login_link:hover {
    text-decoration: underline;
}

.form_headline {
    width: 322px;
}

.social_buttons {
    margin-top: 65px;
    height: 46px;
    line-height: 46px;
}

.buttons {
    width: 157px;
    height: 46px;
    border-radius: 3px;
    display: inline-block;
    color: #fff;
    font-size: 16px;
    text-decoration: none;
}

.facebook {
    background-color: #305db8;
}

.facebook:hover {
    background-color: #264b96;
}

.google {
    background-color: #df4a32;
}

.google:hover {
    background-color: #c3412c;
}

.social_icon_wrapper {
    width: 46px;
    height: 46px;
    margin: 0 auto;
    display: inline-block;
    /* vertical-align: middle; */
    text-align: center;
}

.divider {
    margin-top: 33px;
}

.divider span {
    font-size: 14px;
    color: #848484;
    margin-left: 13px;
    margin-right: 13px;
}

.divider_line {
    height: 1px;
    width: 135px;
    display: inline-block;
    background-color: #eaeaea;
    vertical-align: middle;
}

.checkbox {
    display: inline-block;
    width: 18px;
    height: 18px;
}

.terms_text {
    margin-top: -20px;
    margin-left: 0px;
    font-size: 14px;
    color: #434343;
    cursor: pointer;
}

.terms_text a {
    color: #3cb878;
    text-decoration: none;
}

.terms_text a:hover {
    text-decoration: underline;
}

.green_square {
    width: 18px;
    height: 18px;
    background-color: #3cb878;
    position: relative;
    top: 29px;
    float: left;
}

input[type=checkbox] {
    display: none;
}

input[type="chackbox"] + label {
    font-size: 14px;
    color: #434343;
    cursor: pointer;
    margin-bottom: 2px;
}

input[type="checkbox"] + label::before {
    content: "";
    display: inline-block;
    height: 18px;
    width: 18px;
    /* background-color: #3cb878; */
    margin: 5px 10px 0 0;
    border: 1px solid #eaeaea;
    border-radius: 3px;
    background-image: url(../img/checked.png);
    background-repeat: no-repeat;
}

input[type="checkbox"]:checked + label::before {
    /* content: url(../img/check-solid.svg); */
    color: #329a65;

    background-image: url(../img/checked.png);
    background-position: 0px -18px;
}